<!doctype html>
<html>
<head>
    <title>Assignment 01: Building a GPU database</title>
    <script src="{{ url_for('static', filename='script.js') }}"></script>
    <link type="text/css" rel="stylesheet" href="{{ url_for('static',filename='style.css') }}">
    <script src="https://www.gstatic.com/firebasejs/ui/4.4.0/firebase-ui-auth.js"></script>
    <link type="text/css" rel="stylesheet" href="https://www.gstatic.com/firebasejs/ui/4.4.0/firebase-ui-auth.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js" integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf" crossorigin="anonymous"></script>


</head>
<body>
<nav class="navbar navbar-light bg-light justify-content-between">
    <a class="navbar-brand mx-4" href="/">Assignment 01: Building a GPU database</a>

    <div class="navbar-text" id="navbarText">
        <div class="container">
            <div class="row">
                <div id="firebaseui-auth-container"></div>
                <div id="login-info" hidden=true>
                    {% if user_data %}
                        <div class="col">
                            <span class="navbar-text">{{ user_data['name'] }}</span>
                        </div>
                    {% elif error_message %}
                        <p>Error: {{ error_message }}</p>
                    {% endif %}
                </div>
            </div>
            <div class="col">
                <button id="sign-out" hidden=true>Sign Out</button>
            </div>
        </div>
    </div>
    </div>
</nav>


{% macro render_field(field, type=None, class="") %}
    <div class="mb-3 row">
        <div class="col-sm-4 col-form-label">
            {{ field.label }}
        </div>
        <div class="col-sm-8">
            {% if type == None %}
                {{ field(class=class+" form-control") }}
            {% else %}
                {{ field(class=class+" form-control", type=type) }}
            {% endif %}
            {% if field.errors %}
                <div class="alert alert-danger" role="alert">
                    {% for error in field.errors %}
                        {{ error }}
                    {% endfor %}
                </div>
            {% endif %}
        </div>
    </div>
{% endmacro %}

{% block content %}{% endblock %}

<!-- The core Firebase JS SDK is always required and must be listed first -->
<script src="https://www.gstatic.com/firebasejs/8.3.3/firebase-app.js"></script>

<!-- TODO: Add SDKs for Firebase products that you want to use
 https://firebase.google.com/docs/web/setup#available-libraries -->
<script src="https://www.gstatic.com/firebasejs/7.8.0/firebase-auth.js"></script>
<script src="https://www.gstatic.com/firebasejs/8.3.3/firebase-analytics.js"></script>
<script src="{{ url_for('static', filename='app-setup.js') }}"></script>
</body>
</html>